Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358826 - vsftpd configuration file checked for uncompatible directives
Summary: vsftpd configuration file checked for uncompatible directives
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant-el6toel7
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Mazanek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks: 1335038
TreeView+ depends on / blocked
 
Reported: 2016-07-21 14:42 UTC by Jakub Mazanek
Modified: 2016-11-04 09:01 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-el6toel7-0.6.52-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-11-04 09:01:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2618 normal SHIPPED_LIVE preupgrade-assistant-el6toel7 bug fix and enhancement update 2016-11-03 16:23:57 UTC

Description Jakub Mazanek 2016-07-21 14:42:03 UTC
Description of problem:

Module of preupgrade-assistant-el6toel7 checks if there are not mutually conflicting directives listen and listen_ipv6 defined in /etc/vsftpd/vsftpd.conf.

If the chroot_list_enabled=YES directive exists it informs the user how to allow writeable chrooted environment on upgraded system

If the variable chroot_list_file is set, the list of chrooted users is backed up

Main configuration file is also backed up

Additional info:

Comment 2 Alois Mahdal 2016-07-22 03:45:40 UTC
Acking, although i's a bit unclear: are you aware that vsftpd module existed before? is the old behavior preserved plus this one?

Comment 3 Jakub Mazanek 2016-07-22 05:53:25 UTC
Yes, the previous functionality has been preserved. This is an enhancement. New features were added first to preupgrade-assistant-el5toel7, based on input from the testers and I would like to include them in preupgrade-assistant-el6toel7.

For relevant discussion please see : https://bugzilla.redhat.com/show_bug.cgi?id=1346803

Comment 6 Alois Mahdal 2016-10-20 16:19:55 UTC
Verified with preupgrade-assistant-el6toel7-0.6.59-4.el6:

Original behavior is not tested thoroughly but it is assumed that in any case, SLIGHT risk is logged regarding different behavior of listen* directives.

If both listen and listen_ipv6 are enabled, an extra MEDIUM risk (plus solution text) is logged to warn user that vsftpd would not start properly after upgrade.

When chroot_list_file directive is set to a path, the file at this path is properly backed up in dirtyconf.

Comment 8 errata-xmlrpc 2016-11-04 09:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2618.html


Note You need to log in before you can comment on or make changes to this bug.